Subject: Re: bug#16021: Fwd: Libtool v2.4.2 test failure on ARMv7h (ODROID XU) using GCC v4.8.2

From: "Gary V. Vaughan" <[email-masked]>
Date: Mon, 2 Dec 2013 21:49:30 +1300

Hi Mikael,

Thanks for the report.

On Dec 2, 2013, at 1:47 AM, Mikael Lyngvig <[email-masked]> wrote:

> Whoops, forgot to attach the tests/testsuite.log file.  Here it is.
> 
> 
> -- Mikael
> 
> ---------- Forwarded message ----------
> From: Mikael Lyngvig <[email-masked]>
> Date: 2013/12/1
> Subject: Libtool v2.4.2 test failure on ARMv7h (ODROID XU) using GCC v4.8.2
> To: [email-masked]
> 
> 
> Hi,
> 
> I am trying to build libtool v2.4.2 using the Arch Linux PKGBUILD file found at:
> 
>     https://github.com/archlinuxarm/PKGBUILDs/tree/master/core/libtool
> 
> I have successfully built GCC v4.8.2-4, but I am unable to make the Arch Linux package for libtool because of the following failure:
> 
>    FAIL: tests/pdemo-make.test    

This is a failure in the legacy test suite, which has been converted to
autotest in the soon to be released master branch of upstream libtool:

  http://git.savannah.gnu.org/cgit/libtool.git/log/

> I also ran the test in verbose mode and this is the result:
> 
> Libtool stress test.
> 
> 114: Link option thorough search test                ok
> 115: Run tests with low max_cmd_len               FAILED (cmdline_wrap.at:43)
> 116: override pic_flag at configure time               skipped (pic_flag.at:47)

115 is a recursive test of the whole Autotest testsuite, and usually indicates
a repeat failure of one of the other inner tests that it runs again with an
artificially low shell command line length.

If you could try again with either the current git master, or if you
(understandably) want to avoid bootstrapping a developer revision, using
the pre-release tarball here:

  http://alpha.gnu.org/gnu/libtool/libtool-2.4.2.418.tar.gz

I'll try to help fix your problem in time for the upcoming full release.

It will help if you run the './configure && make all check' steps yourself to
avoid any confusion and inability to reproduce issues in the Arch package
wrapper on my end.

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)